## Apache Zeta Components Manual :: Docs For Class ezcMvcRequestFile

### MvcTools::ezcMvcRequestFile

### Class ezcMvcRequestFile

Struct which holds a file bundled with the request.

Source for this file: /MvcTools/src/structs/request_file.php

    ezcBaseStruct
       |
       --ezcMvcRequestFile

Version: | //autogentag//

### Member Variables

public string | `$mimeType` File mimetype.
public string | `$name` File name.
public int | `$size` File size.
public mixed | `$status` Status of the upload.
public string | `$tmpPath` Temporary file path.

### Method Summary

public static ezcMvcRequestFile | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcMvcRequestFile | `__construct( [ $mimeType = ''] , [ $name = ''] , [ $size = 0] , [ $status = null] , [ $tmpPath = ''] )` Constructs a new ezcMvcRequestFile.

### Methods

#### __set_state

static ezcMvcRequestFile __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) |

#### __construct

ezcMvcRequestFile __construct( [string $mimeType = ''] , [string $name = ''] , [int $size = 0] , [mixed $status = null] , [string $tmpPath = ''] )

Constructs a new ezcMvcRequestFile.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$mimeType` | string |
`$name` | string |
`$size` | int |
`$status` | mixed |
`$tmpPath` | string |

Documentation generated by phpDocumentor 1.4.3